---
title: "v1.0.0 - Rename Project to Open5GS"
date: 2019-10-27 16:55:00 +0900
categories:
  - Release
tags:
  - News
  - Release
head_inline: "<style> ul { padding-bottom: 1em; } </style>"
---

#### New Project
- Rename Project to Open5GS v1.0.0

#### New Package
- Support Ubuntu 19.10(Eoan Ermine)

#### New Build
- Change BuildTool to Meson(autotools removed)


Install Meson using Python.
```
$ sudo apt install python3-pip python3-setuptools ninja-build 
$ pip3 install --user meson
```

To compile with meson:
```bash
$ cd open5gs
$ meson build --prefix=`pwd`/install
$ ninja -C build
```

Check whether the compilation is correct.
```bash
$ ninja -C build test
```

You need to perform the **installation process**.
```bash
$ cd build
$ ninja install
```

#### Bug fixes
- Add memset() after ogs_pool_alloc() in mme/sgw/pgw-context.c ([#267](https://github.com/open5gs/open5gs/issues/267), [#268](https://github.com/open5gs/open5gs/issues/268)) -- [laf0rge](https://github.com/laf0rge)
- Do not overwrites configuration files for `ninja install` ([#252](https://github.com/open5gs/open5gs/issues/252)) -- [laf0rge](https://github.com/laf0rge)

Download -- [v1.0.0.tar.gz](https://github.com/open5gs/open5gs/archive/v1.0.0.tar.gz)
{: .notice--info}
