ies = []
ies.append({ "ie_type" : "Node ID", "ie_value" : "Node ID", "presence" : "M", "tlv_more" : "0", "comment" : "This IE shall contain the unique identifier of the sending Node."})
ies.append({ "ie_type" : "F-SEID", "ie_value" : "CP F-SEID", "presence" : "M", "tlv_more" : "0", "comment" : "This IE shall contain the unique identifier allocated by the CP function identifying the session."})
type_list["Create PDR"]["max_tlv_more"] = "15"
ies.append({ "ie_type" : "Create PDR", "ie_value" : "Create PDR", "presence" : "M", "tlv_more" : "15", "comment" : "This IE shall be present for at least one PDR to be associated to the PFCP session.Several IEs with the same IE type may be present to represent multiple PDRs.See Table 7.5.2.2-1."})
type_list["Create FAR"]["max_tlv_more"] = "15"
ies.append({ "ie_type" : "Create FAR", "ie_value" : "Create FAR", "presence" : "M", "tlv_more" : "15", "comment" : "This IE shall be present for at least one FAR to be associated to the PFCP session.Several IEs with the same IE type may be present to represent multiple FARs.See Table 7.5.2.3-1."})
type_list["Create URR"]["max_tlv_more"] = "15"
ies.append({ "ie_type" : "Create URR", "ie_value" : "Create URR", "presence" : "C", "tlv_more" : "15", "comment" : "This IE shall be present if a measurement action shall be applied to packets matching one or more PDR(s) of this PFCP session.Several IEs within the same IE type may be present to represent multiple URRs.See Table 7.5.2.4-1."})
type_list["Create QER"]["max_tlv_more"] = "3"
ies.append({ "ie_type" : "Create QER", "ie_value" : "Create QER", "presence" : "C", "tlv_more" : "3", "comment" : "This IE shall be present if a QoS enforcement or QoS marking action shall be applied to packets matching one or more PDR(s) of this PFCP session.Several IEs within the same IE type may be present to represent multiple QERs.See Table 7.5.2.5-1."})
ies.append({ "ie_type" : "Create BAR", "ie_value" : "Create BAR", "presence" : "O", "tlv_more" : "0", "comment" : "When present, this IE shall contain the buffering instructions to be applied by the UP function to any FAR of this PFCP session set with the Apply Action requesting the packets to be buffered and with a BAR ID IE referring to this BAR. See table 7.5.2.6-1."})
ies.append({ "ie_type" : "Create Traffic Endpoint", "ie_value" : "Create Traffic Endpoint", "presence" : "C", "tlv_more" : "0", "comment" : "This IE may be present if the UP function has indicated support of PDI optimization.Several IEs within the same IE type may be present to represent multiple Traffic Endpoints.See Table 7.5.2.7-1."})
ies.append({ "ie_type" : "PDN Type", "ie_value" : "PDN Type", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be present if the PFCP session is setup for an individual PDN connection or PDU session (see clause5.2.1).When present, this IE shall indicate whether this is an IP or non-IP PDN connection/PDU session or, for 5GC, an Ethernet PDU session. See NOTE 3."})
ies.append({ "ie_type" : "FQ-CSID", "ie_value" : "SGW-C FQ-CSID", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be included according to the requirements in clause23 of 3GPPTS23.007[24]."})
ies.append({ "ie_type" : "FQ-CSID", "ie_value" : "MME FQ-CSID", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be included when received on the S11 interface or on S5/S8 interface according to the requirements in clause23 of 3GPPTS23.007[24]."})
ies.append({ "ie_type" : "FQ-CSID", "ie_value" : "PGW-C/SMF FQ-CSID", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be included according to the requirements in clause23 of 3GPPTS23.007[24] and clause4.6 of 3GPPTS23.527[40]."})
ies.append({ "ie_type" : "FQ-CSID", "ie_value" : "ePDG FQ-CSID", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be included according to the requirements in clause23 of 3GPPTS23.007[24]."})
ies.append({ "ie_type" : "FQ-CSID", "ie_value" : "TWAN FQ-CSID", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be included according to the requirements in clause23 of 3GPPTS23.007[24]."})
ies.append({ "ie_type" : "User Plane Inactivity Timer", "ie_value" : "User Plane Inactivity Timer", "presence" : "O", "tlv_more" : "0", "comment" : "This IE may be present to request the UP function to send a User Plane Inactivity Report when no user plane packets are received for this PFCP session for a duration exceeding the User Plane Inactivity Timer.When present, it shall contain the duration of the inactivity period after which a User Plane Inactivity Report shall be generated."})
ies.append({ "ie_type" : "User ID", "ie_value" : "User ID", "presence" : "O", "tlv_more" : "0", "comment" : "This IE may be present, based on operator policy. It shall only be sent if the UP function is in a trusted environment.See NOTE1."})
ies.append({ "ie_type" : "Trace Information", "ie_value" : "Trace Information", "presence" : "O", "tlv_more" : "0", "comment" : "When present, this IE shall contain the trace instructions to be applied by the UP function for this PFCP session."})
ies.append({ "ie_type" : "APN/DNN", "ie_value" : "APN/DNN", "presence" : "O", "tlv_more" : "0", "comment" : "This IE may be present, if related functionalities in the UP function require the APN/DNN information. See NOTE2."})
ies.append({ "ie_type" : "Create MAR", "ie_value" : "Create MAR", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be present for a N4 session established for a MA PDU session.Several IEs with the same IE type may be present to represent multiple MARs.See Table 7.5.2.8-1."})
ies.append({ "ie_type" : "PFCPSEReq-Flags", "ie_value" : "PFCPSEReq-Flags", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be included if at least one of the flags is set to 1.-	RESTI (Restoration Indication): this bit shall be set to 1 if the CP function re-establishes an existing PFCP session and the allocation of GTP-U F-TEID and/or UE IP address is performed by the UP function. (NOTE 4)-	SUMPC (Stop Usage Measurement to Pause Charging): the CP function, e.g. PGW-C or (H-)SMF, shall set this flag if the usage measurement for the URRs which are applicable for charging (i.e. with the ASPOC flag set to 1) shall be stopped in the UP function."})
ies.append({ "ie_type" : "Create Bridge Info for TSC", "ie_value" : "Create Bridge Info for TSC", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be present for a PFCP session established for TSC to request the UPF to provide Bridge information for TSC. "})
ies.append({ "ie_type" : "Create SRR", "ie_value" : "Create SRR", "presence" : "O", "tlv_more" : "0", "comment" : "This IE may be present to request the UPF to detect and report events not related to specific PDRs.Several IEs within the same IE type may be present to represent multiple SRRs.See Table 7.5.2.9-1."})
ies.append({ "ie_type" : "Provide ATSSS Control Information", "ie_value" : "Provide ATSSS Control Information", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be present for N4 session establishment for a MA PDU session.When present, this IE shall contain the required ATSSS functionalities for this MA PDU session.See Table 7.5.2.10-1."})
ies.append({ "ie_type" : "Recovery Time Stamp", "ie_value" : "Recovery Time Stamp", "presence" : "O", "tlv_more" : "0", "comment" : "This IE may be included to contain the time stamp when the CP function was started. (See clause19A of 3GPPTS23.007[24].)"})
ies.append({ "ie_type" : "S-NSSAI", "ie_value" : "S-NSSAI", "presence" : "O", "tlv_more" : "0", "comment" : "This IE may be present, if related functionalities in the UP function require the S-NSSAI information. (NOTE2, NOTE5)When present, it shall indicate the S-NSSAI of the PDU session or MBS session."})
ies.append({ "ie_type" : "Provide RDS Configuration Information", "ie_value" : "Provide RDS configuration information", "presence" : "O", "tlv_more" : "0", "comment" : "When present, this IE shall contain the RDS configuration information to be applied by the UP function for this PFCP session."})
ies.append({ "ie_type" : "RAT Type", "ie_value" : "RAT Type", "presence" : "O", "tlv_more" : "0", "comment" : "This IE may be present to provide the UP Function the current RAT Type for the PDN connection/PDU session to which this PFCP Session is corresponding for statistics purpose if the PFCP session is not established for a MA PDU session. "})
ies.append({ "ie_type" : "L2TP Tunnel Information", "ie_value" : "L2TP Tunnel Information", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be present if L2TP tunnel information is received from an AAA server, e.g. Radius/Diameter server or if it is configured in the CP function.Several IE with the same IE type may be present to provide L2TP Tunnel Information for alternative LNS."})
ies.append({ "ie_type" : "L2TP Session Information", "ie_value" : "L2TP Session Information", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be present to include the information to establish a L2TP session, if an L2TP session needs to be established for this PFCP session."})
ies.append({ "ie_type" : "Group ID", "ie_value" : "Group Id", "presence" : "O", "tlv_more" : "0", "comment" : "This IE may be included by the CP function to indicate the group identifier to which the PFCP session pertains (see clause5.22)."})
ies.append({ "ie_type" : "MBS Session N4mb Control Information", "ie_value" : "MBS Session N4mb Control Information", "presence" : "M", "tlv_more" : "0", "comment" : "This IE shall identify the MBS session, or the MBS session and Area Session ID for a location dependent MBS service, and it may contain further control information for the MB-UPF."})
ies.append({ "ie_type" : "MBS Session N4 Control Information", "ie_value" : "MBS Session N4 Control Information", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be included if the correspond PDU session shall be associated with an MBS session, or with an MBS session and Area Session ID for a location dependent MBS service.Several IEs with the same IE type may be present to provide N4 control information for several MBS sessions, e.g., when the UE requests to join several MBS sessions. "})
ies.append({ "ie_type" : "DSCP to PPI Control Information", "ie_value" : "DSCP to PPI Control Information", "presence" : "O", "tlv_more" : "0", "comment" : "This IE may be present if the UPF is required to insert the Paging Policy Indicator (PPI) in the GTP-U PDU Session Container extension header of outgoing GTP-U packets (encapsulating payload packets) based on the DSCP in the TOS/Traffic Class field in the IP header of payload packet and if the UPF supports the EPPPI feature as specified in clause5.36.2.Several IEs with the same IE type may be present to provide different DSCP to PPI Control Information for different set of QFI(s)."})
msg_list[key]["ies"] = ies
