ies = []
ies.append({ "ie_type" : "Node ID", "ie_value" : "Node ID", "presence" : "M", "tlv_more" : "0", "comment" : "This IE shall contain the unique identifier of the sending Node."})
ies.append({ "ie_type" : "UP Function Features", "ie_value" : "UP Function Features", "presence" : "O", "tlv_more" : "0", "comment" : "If present, this IE shall indicate the supported Features when the sending node is the UP function."})
ies.append({ "ie_type" : "CP Function Features", "ie_value" : "CP Function Features", "presence" : "O", "tlv_more" : "0", "comment" : "If present, this IE shall indicate the supported Features when the sending node is the CP function."})
ies.append({ "ie_type" : "User Plane IP Resource Information", "ie_value" : "User Plane IP Resource Information", "presence" : "O", "tlv_more" : "3", "comment" : "This IE may be present if the UP function sends this message.When present, this IE shall contain an IPv4 and/or an IPv6 address, together with a TEID range that the CP function shall use to allocate GTP-U F-TEID in the UP function.Several IEs with the same IE type may be present to represent multiple User Plane IP Resources."})
ies.append({ "ie_type" : "PFCP Association Release Request", "ie_value" : "PFCP Association Release Request", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be present if the UP function requests the CP function to release the PFCP association."})
ies.append({ "ie_type" : "Graceful Release Period", "ie_value" : "Graceful Release Period", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be present if the UP function requests a graceful release of the PFCP association."})
ies.append({ "ie_type" : "PFCPAUReq-Flags", "ie_value" : "PFCPAUReq-Flags", "presence" : "O", "tlv_more" : "0", "comment" : "This IE shall be included if at least one of the flags is set to 1.-	PARPS (PFCP Association Release Preparation Start): if both the CP function and UP function support the EPFAR feature, the CP or UP function may set this flag to 1 to indicate that the PFCP association is to be released and all non-zero usage reports for those PFCP Sessions affected by the release of the PFCP association shall be reported."})
ies.append({ "ie_type" : "Alternative SMF IP Address", "ie_value" : "Alternative SMF IP Address", "presence" : "O", "tlv_more" : "0", "comment" : "This IE may be present if the (MB-)SMF advertises the support of the SSET and/or MPAS feature in the CP Function Features IE (see clause8.2.58).When present, this IE shall contain an IPv4 and/or IPv6 address of an alternative (MB-)SMF or an alternative PFCP entity in the same (MB-)SMF when SSET feature is used, or an alternative PFCP entity in the same (MB-)SMF when MPAS feature is used.Several IEs with the same IE type may be present to represent multiple alternative (MB-)SMF IP addresses."})
ies.append({ "ie_type" : "SMF Set ID", "ie_value" : "SMF Set ID", "presence" : "O", "tlv_more" : "0", "comment" : "This IE may be present if the CP function sends this message and (MB-)SMF advertises the support of the MPAS feature in the CP Function Features IE (see clause5.22.3), and there is a change in FQDN representing the (MB-)SMF set to which the (MB-)SMF belongs."})
ies.append({ "ie_type" : "Clock Drift Control Information", "ie_value" : "Clock Drift Control Information", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be present if the Clock Drift Control Information needs to be modified (see clause5.26.4).Several IEs with the same IE type may be present to represent TSN domains.When present, the UPF shall replace any Clock Drift control information received earlier with the new received information.A Clock Drift Control Information with a null length indicates that clock drift reporting shall be stopped.See Table7.4.4.1.2-1."})
ies.append({ "ie_type" : "UE IP Address", "ie_value" : "UE IP address Pool Information", "presence" : "O", "tlv_more" : "0", "comment" : "This IE may be present when the UP function sends this message, if UE IP Address Pools are configured in the UP function.Several IE with the same IE type may be present to represent multiple UE IP address Pool Information.The IE shall be encoded as in Table 7.4.4.1-3. "})
ies.append({ "ie_type" : "GTP-U Path QoS Control Information", "ie_value" : "GTP-U Path QoS Control Information", "presence" : "C", "tlv_more" : "0", "comment" : "This IE shall be present if the GTP-U Path QoS Control Information needs to be modified (see clause5.24.5).Several IEs with the same IE type may be present to represent multiple GTP-U paths to monitor.When present, the UPF shall replace any GTP-U path control information received earlier with the new received information.A GTP-U Path QoS Control Information with a null length indicates that QoS monitoring of GTP-U paths shall be stopped.See Table7.4.4.1.3-1."})
ies.append({ "ie_type" : "UE IP Address Usage Information", "ie_value" : "UE IP Address Usage Information", "presence" : "O", "tlv_more" : "0", "comment" : "The UP function may include this IE if both UP and CP functions support the UE IP Address Usage Reporting feature.See Table 7.4.4.3.1-1Several IEs with the same type may be present to represent UE IP Address Usage Information for different UE IP Address Pools and/or Network Instances.See clause5.21.3."})
msg_list[key]["ies"] = ies
